## Name

bf_copy — shell script to copy a bogofilter working directory

## Synopsis

`bf_copy` [-c] `source_dir` `destination_dir`

## Description

bf_copy copies a bogofilter working directory to another directory. Currently it copies the database files (*.db), related files (log.*), and DB_CONFIG (if present).

## Options

The `-c` option causes only active log files to be copied, not all. The default is to copy all log files.

## Exit Status

The script exits with status code 0 if everything went well, and nonzero if it encountered trouble.

## Bugs

This script assumes all *.db files in the source directory are relevant and copies them. This may not match your actual configuration.

## Notes

This script is meant for use with Berkeley DB and SQLite based bogofilter versions.

This script expects a SUSv2 compliant shell. Solaris systems should have the `SUNWxcu4` package installed (when bogofilter is configured) so that `/usr/xpg4/bin/sh` can be used.

## Authors

Matthias Andree